var rutaArchivos;
var altura,diferenciaAltura;
var api_url='https://www.taxisantapola.com/api_movil/api.php';
var idioma;
var app = {
    // Application Constructor
    initialize: function() {
        window.sessionStorage.clear();
        this.bindEvents();
        this.calculaTamanhos();
        //this.cargaPc();
        this.manejaContacto();
    },
    manejaContacto:function(){       
        var options      = new ContactFindOptions();
        options.filter   = numero;
        var fields       = [navigator.contacts.fieldType.phoneNumbers];
        navigator.contacts.find(fields, function(contactos){                                    
            if(contactos.length!=0){                
                    what_abid=contactos.id;
            }else{
                if(device.platform.toLowerCase()=='ios'){        
                    agregarContacto();
                }else{
                    document.getElementById('enlaceWhatsApp').setAttribute("onclick","abrirEnlace(event,'tel:"+numero_what+"')");
                }                
            }

        }, function( error){
            console.debug(error);
        }, options);
    },
    obtenIdioma: function (){
        alert('obtenIdioma');
        alert(idioma);
        var script=document.createElement('script');        
        script.setAttribute('type','text/javascript');
        if(navigator.globalization!=undefined){
            navigator.globalization.getPreferredLanguage(
                function (language) {
                    var temp = language.value.split('-');    
                    if(temp[0]=='es'){
                        window.localStorage.setItem('idioma','es');
                        idioma='es';
                        script.src='js/idiomas/es.js';
                    }else if(temp[0]=='en'){
                        window.localStorage.setItem('idioma','en');
                        idioma='en';
                        script.src='js/idiomas/en.js';                    
                    }else{
                        idioma=window.localStorage.getItem('idioma');
                        if(idioma != null && idioma != undefined){
                            if(idioma=='es'){
                                script.src='js/idiomas/es.js';
                            }else if(idioma=='en'){
                                script.src='js/idiomas/en.js';
                            }
                            var elems = document.querySelectorAll('.visible');     
                            visibilidadPantallas('inicio');
                        }else{
                            visibilidadPantallas('idioma');
                        }
                    }
                },
                function () {       
                    console.debug('Error obteniendo idioma');
                });
            //
        }else{
            idioma=window.localStorage.getItem('idioma');
            if(idioma != null && idioma != undefined){
                if(idioma=='es'){
                    script.src='js/idiomas/es.js';
                }else if(idioma=='en'){
                    script.src='js/idiomas/en.js';
                }
                var elems = document.querySelectorAll('.visible');     
                visibilidadPantallas('inicio');
            }else{
                visibilidadPantallas('idioma');
            }
        }
        document.body.appendChild(script);
    },
    rutaCompleta: function (){
        var plataforma=device.platform.toLowerCase();
        switch(plataforma){
            case 'ios': 
            rutaArchivos = cordova.file.documentsDirectory;
            break;
            case 'android':
            rutaArchivos = cordova.file.externalDataDirectory;
            break;
        }       
    },
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
        window.addEventListener('resize', this.calculaTamanhos, false);
        document.addEventListener("backbutton", app.onBackKeyDown, false);
        document.addEventListener("menubutton", app.onMenuKeyDown, false);
        document.addEventListener("searchbutton", app.onSearchKeyDown, false);
        document.addEventListener("showkeyboard",app.onTeclado,false);
        document.addEventListener("hidekeyboard",app.onTeclado,false);
    },
    calculaTamanhos: function(){
        altura = window.innerHeight;
        var dpi = window.devicePixelRatio || 1;
        var ancho = window.innerWidth;
        var font = 30*(ancho/1080);    
        document.body.style.fontSize=font+'px';
        document.body.style.lineHeight=(font+1)+'px';  
        var menu = document.querySelector('nav');        
        var appDiv = document.querySelector('.app');
        appDiv.style.paddingTop=(altura-menu.clientHeight-appDiv.clientHeight)/2+'px';
    },
    onBackKeyDown: function (event){
        if(event!=null){
            event.preventDefault();
        }
        switch(window.sessionStorage.getItem('atras')){
            case 'salir':            
            navigator.app.exitApp();
            break;
            default:
            visibilidadPantallas(window.sessionStorage.getItem('atras'));
            break;
        }
    },
    onMenuKeyDown: function (event){
        console.log(event);
    },
    onSearchKeyDown: function (event){
        console.log(event);
    },
    onTeclado: function (event){        
        diferenciaAltura = altura - window.innerHeight;
        if(diferenciaAltura>0){
            document.body.style.paddingBottom=diferenciaAltura+'px';    
        }else{
            document.body.style.paddingBottom='none';
            this.calculaTamanhos();
        }
    },
    obtenClave: function(){
        var datos = {metodo:'claveMultimedia'};
        $.post(api_url,
            datos,
            function(data){
                window.localStorage.setItem('claveMultimedia',data.clave);
            });
    },
    checkConnection: function (){
        window.sessionStorage.setItem('atras','salir');
        if(navigator.network==undefined){
            var states = {};
            states[0]='1';
            var networkState = 0;
        }else{
            var networkState = navigator.network.connection.type;
            var states = {};
            states[Connection.NONE] = '0';   
            states[Connection.UNKNOWN] = '1'; 
            states[Connection.CELL_2G] = '2';
            states[Connection.CELL_3G] = '3';
            states[Connection.CELL_4G] = '4';           
            states[Connection.WIFI] = '5';
            states[Connection.ETHERNET] = '6';         
        }
        if ((states[networkState] >= '2' || states[networkState] == '1') && window.localStorage.getItem('accesoMultimedia')!='si') {

        }

    },
    cargaPc: function (){
        if(navigator.network==undefined){
            app.onDeviceReady();
        }
    },
    personalizaSistema: function(){
         var plataforma=device.platform.toLowerCase();
        switch(plataforma){
            case 'ios': 
            //document.getElementById('botonWhatsApp').style.display='none';
            break;
            case 'android':
            break;
        }    
    },
    onDeviceReady: function() {
        app.obtenIdioma();
        app.checkConnection();    
        app.personalizaSistema();
    //db.inicializa();
        // app.rutaCompleta();
        //pictureSource = navigator.camera.PictureSourceType;
        //destinationType = navigator.camera.DestinationType;
    }
};