/* variables */

var numero_tel='+34677508017';
var numero_what='+34677508017';
//var api_url='http://lugointernet.info/santapola/api_movil/api.php';
var api_url='https://www.taxisantapola.com/api_movil/api.php';
var what_abid=null;
/* fin de variables globales */



function agregarContacto(ev){
	if(ev!==null){
		ev.preventDefault();
		ev.stopPropagation();
	}
	var options      = new ContactFindOptions();
	options.filter   = numero_what;
	var fields       = [navigator.contacts.fieldType.phoneNumbers];
	navigator.contacts.find(fields, function(contactos){                                    
		if(contactos.length!=0){
			document.getElementById('botonWhatsApp').style.display='none';
		}else{
			document.getElementById('botonWhatsApp').style.display='none';
			var contacto = navigator.contacts.create({displayName:"Taxi Santa Pola"});
			var phoneNumbers = [];
			phoneNumbers[0] = new ContactField('work', '', false);
			phoneNumbers[1] = new ContactField('mobile', numero_what, true);
			phoneNumbers[2] = new ContactField('home', '', false);
			contacto.phoneNumbers = phoneNumbers;
			contacto.save();
			app.manejaContacto();
		}

	}, function( error){
		console.debug(error);
	}, options);
}

function abrirEnlace(ev,url){    
	ev.preventDefault();
	ev.stopPropagation();
	if(device.platform.toLowerCase()=='ios'){
		window.open(url,'_system');
	}else{
		navigator.app.loadUrl(url, { openExternal:true });    
	}    
}

function abrirWhatsApp(ev){    
	ev.preventDefault();
	ev.stopPropagation();
	if(device.platform.toLowerCase()=='ios'){
		if(what_abid!==null){
			window.open('whatsapp://send?abid='+what_abid,'_system');	
		}else{
			window.open('tel://'+numero_what,'_system');	
		}		
	}else{
		cordova.plugins.Whatsapp.send(numero_what);
	}  

}

function seleccionaIdioma(event,idioma){
	window.localStorage.setItem('idioma',idioma);
	cargaIdioma();
}


function cargaIdioma(){
	alert('cargaIdioma');
	var botones_inicio = document.querySelectorAll('.inicio button');
	for (var i = 0, t = botones_inicio.length; i < t; i++) {
		if(botones_inicio[i].innerHTML.indexOf(idioma.inicio[i])==-1){
			botones_inicio[i].innerHTML+=idioma.inicio[i];	
		}		
	}	
	visibilidadPantallas('inicio');
}


function cargaReserva(ev){
	alert('cargareserva');
	alert(idioma);
	if(ev!=null){
		ev.preventDefault();
		ev.stopPropagation();
	}
	document.querySelector('.app').style.paddingTop=document.querySelector('nav').clientHeight+'px';
	var reserva=document.querySelector('.reserva');
	reserva.querySelector('h2').innerHTML=idioma.reserva_slg;
	var labels = reserva.querySelectorAll('label');
	labels[0].innerHTML=idioma.reserva[0]+'<p>'+idioma.reserva[1]+'</p>';
	labels[1].innerHTML=idioma.reserva[2]+'<p>'+idioma.reserva[3]+'</p>';

	var buttoms = reserva.querySelectorAll('button');	
	buttoms[1].innerHTML=buttoms[1].innerHTML.replace(idioma.reserva[4],'');
	buttoms[0].innerHTML=buttoms[0].innerHTML.replace(idioma.reserva[5],'');
	buttoms[1].innerHTML=idioma.reserva[4]+buttoms[1].innerHTML;
	buttoms[0].innerHTML+=idioma.reserva[5];
	visibilidadPantallas('reserva',requiredReserva);	
}

function visibilidadPantallas(pantalla,callback){
	var elems = document.querySelectorAll('.visible');
	for(var e = 0, t= elems.length;e<t;e++){
		elems[e].classList.add('oculto');
		elems[e].classList.remove('visible');
		elems[e].style.opacity=0;
	}
	var item = document.querySelector('.'+pantalla);	
	item.classList.add('visible');
	item.classList.remove('oculto');
	setTimeout(function(){
		item.style.opacity=1;
		window.scrollTo(0,0);
	},100);
	if(callback!=null){
		setTimeout(function(){
			callback();
		},999);
	}
	switch(pantalla){
		case 'inicio':
		window.sessionStorage.setItem('atras','salir');
		altura = window.innerHeight;
		var menu = document.querySelector('.navbar-fixed-top');        
		var app = document.querySelector('.app');
		var paddTo= (altura-(app.clientHeight-parseInt(app.style.getPropertyValue('padding-top'))))/2;
		if(isNaN(paddTo) || paddTo<menu.clientHeight){
			paddTo=menu.clientHeight;
		}
		app.style.paddingTop=paddTo+'px';
		break;
		case 'reserva':
		window.sessionStorage.setItem('atras','inicio');
		break;
		case 'reserva-datos':
		window.sessionStorage.setItem('atras','reserva');
		break;
		case 'reserva-confirma':
		window.sessionStorage.setItem('atras','reserva-datos');
		break;
	}
}

function eliminaError(ev){
	ev.currentTarget.classList.remove('error');
}

function procesaFormulario(ev){
	ev.preventDefault();
	ev.stopPropagation();
	var control=true;
	var requeridos = ev.currentTarget.querySelectorAll('input[data-required="true"]');
	for (var i = requeridos.length - 1; i >= 0; i--) {
		if(requeridos[i].value==''){
			control=false;
			requeridos[i].classList.add('error');
			requeridos[i].setAttribute('onfocus','eliminaError(event)');
		}
	}
	if(control==false){
		navigator.notification.alert(
                idioma.notificaciones[6], // message
                null, // callback to invoke with index of button pressed
                idioma.notificaciones[7], // title
                idioma.notificaciones[5]     // buttonLabels
                );
	}else{
		switch(ev.currentTarget.paso.value){
			case '1':
			window.sessionStorage.setItem('atras','inicio');
			var reserva={salida:ev.currentTarget.salida.value,destino:ev.currentTarget.destino.value};
			window.sessionStorage.setItem('reserva',JSON.stringify(reserva));
			var form_reserva=document.querySelector('.reserva-datos');
			form_reserva.querySelector('h2').innerHTML=idioma.reserva_slg;
			var labels = form_reserva.querySelectorAll('label');
			for (var i = labels.length - 1; i >= 0; i--) {
				labels[i].innerHTML=idioma.reserva_datos[i];
			}
			form_reserva.querySelector('form > p').innerHTML=idioma.reserva_datos[5];
			var buttoms = form_reserva.querySelectorAll('button');
			buttoms[1].innerHTML=buttoms[1].innerHTML.replace(idioma.reserva_datos[6],'');
			buttoms[0].innerHTML=buttoms[0].innerHTML.replace(idioma.reserva_datos[7],'');
			buttoms[1].innerHTML=idioma.reserva_datos[6]+buttoms[1].innerHTML;
			buttoms[0].innerHTML+=idioma.reserva_datos[7];		
			visibilidadPantallas('reserva-datos',requiredReservaDatos);
			break;
			case '2':
			window.sessionStorage.setItem('atras','reserva');
			var reserva = JSON.parse(window.sessionStorage.getItem('reserva'));

			reserva.fecha=ev.currentTarget.fecha_especificada.value;		
			reserva.nombre=ev.currentTarget.nombre.value;
			reserva.correo=ev.currentTarget.correo.value;
			reserva.telefono=ev.currentTarget.telefono.value;
			reserva.pasajeros=ev.currentTarget.pasajeros.value;


			window.sessionStorage.setItem('reserva',JSON.stringify(reserva));
			visibilidadPantallas('reserva-confirma');
			abreReserva();
			break;		
			case '3':
			window.sessionStorage.setItem('atras','reserva-datos');
			var reserva = JSON.parse(window.sessionStorage.getItem('reserva'));
			reserva.notas=ev.currentTarget.notas.value;
			reserva.metodo='reserva';
			$.post(api_url,reserva,function(data){
				console.debug(data);
				if(data=='ok'){
					navigator.notification.confirm(
                idioma.notificaciones[0], // message
                enviadoCorrecto, // callback to invoke with index of button pressed
                idioma.notificaciones[1], // title
                [idioma.notificaciones[2]]     // buttonLabels
                );
				}else{
					navigator.notification.confirm(
                idioma.notificaciones[3], // message
                enviadoIncorrecto, // callback to invoke with index of button pressed
                idioma.notificaciones[4], // title
                [idioma.notificaciones[5]]     // buttonLabels
                );    
				}
			});
			break;
		}
	}
}


function enviadoCorrecto(){
	var forms = document.querySelectorAll('form');
	for (var i = forms.length - 1; i >= 0; i--) {
		forms[i].reset();
	}
	visibilidadPantallas('inicio');
}

function enviadoIncorrecto(){

}

function abreReserva(){
	var reserva = JSON.parse(window.sessionStorage.getItem('reserva'));
	var html='';
	html+='<div class="col-xs-12">';
	html+='<h2>'+idioma.reserva_slg+'</h2>';
	html+='</div>';
	html+='<div class="col-xs-12" id="">';
	html+='<p><span class="negrita">'+idioma.reserva[0]+':</span> '+reserva.salida+'</p>';
	html+='<p><span class="negrita">'+idioma.reserva[2]+':</span> '+reserva.destino+'</p>';
	html+='<p><span class="negrita">'+idioma.reserva_datos[0]+':</span> '+reserva.fecha+'</p>';
	html+='<p><span class="negrita">'+idioma.reserva_datos[1]+':</span> '+reserva.nombre+'</p>';
	html+='<p><span class="negrita">'+idioma.reserva_datos[2]+':</span> '+reserva.correo+'</p>';
	html+='<p><span class="negrita">'+idioma.reserva_datos[3]+':</span> '+reserva.telefono+'</p>';
	html+='<p><span class="negrita">'+idioma.reserva_datos[4]+':</span> '+reserva.pasajeros+'</p>';
	html+='</div>';
	html+='<div class="col-xs-12">';
	html+='<form method="post" onsubmit="procesaFormulario(event);" role="form">';
	html+='<input type="hidden" name="paso" value="3">';
	html+='<div class="form-group">';
	html+='<label class="title">'+idioma.reserva_confirmacion[0]+'</label>';
	html+='<textarea name="notas" class="form-control"></textarea>';
	html+='</div>';
	html+='<div class="row">';
	html+='<div class="col-xs-6">';
	html+='<button onclick="app.onBackKeyDown(event);" class="btn" type="buttom" ><i class="fa fa-angle-left fa-2x"></i> '+idioma.reserva_confirmacion[2]+'</button>';
	html+='</div>';
	html+='<div class="col-xs-6">';
	html+='<button class="btn" type="submit" >'+idioma.reserva_confirmacion[1]+' <i class="fa fa-angle-right fa-2x"></i></button>';
	html+='</div>';
	html+='</div>';
	html+='</form>';
	html+='</div>';
	document.querySelector('.reserva-confirma').innerHTML=html;
}

function habilitaFecha(ev){
	document.querySelector('input[type="datetime-local"]').removeAttribute('disabled');

}

function deshabilitaFecha(){
	document.querySelector('input[type="datetime-local"]').setAttribute('disabled','disabled');
}


function requiredReserva(){
	var inputs = document.querySelector('.reserva').querySelectorAll('input[data-required="true"]');
	for (var i = inputs.length - 1; i >= 0; i--) {
		inputs[i].setAttribute('required','required');
	}
}

function requiredReservaDatos(){
	var inputs = document.querySelector('.reserva-datos').querySelectorAll('input[data-required="true"]');
	for (var i = inputs.length - 1; i >= 0; i--) {
		inputs[i].setAttribute('required','required');
	}
}
function cambiaTelefono(tel){
	var ele = document.getElementById('enlaceLlamada');
	ele.setAttribute('onclick',"abrirEnlace(event,'tel:"+tel+"')");
}